<?php 

include('header.php');

$errors = [];

if (!empty($_POST['name'])){ // if user fills out
    $name = $_POST['name'];
}else{
    $errors[] = "Please fill out your first name <br>";
}

// check email field
if (!empty($_POST['email'])){ // if user fills out
    $email = $_POST['email'];
}else{
    $errors[] = "Please fill out your last name <br>";
}

if(!empty($_POST['student'])){ // if user select a radio
    $student = $_POST['student'];
}else{
    $errors[] = "Please enter if you are a student";
}

if (!empty($_POST['dob_month']) && !empty($_POST['dob_day']) && !empty($_POST['dob_year'])) {
    $dob = $_POST['dob_month'] . "/" . $_POST['dob_day'] . "/" . $_POST['dob_year'];
} else {
    $errors[] = "Please select your date of birth.";
}

if (!empty($_POST['interests'])) {
    $interests = implode(", ", $_POST['interests']); // Combine interests into a single string
} else {
    $interests = "No interests selected.";
}
// check comments
if (!empty($_POST['comments'])){
    $comments = $_POST['comments'];
}else{
    $errors[] = "Please fills out a comment. <br>";
}


// if all of the five fields are filled out, print out a thank you msg
// also display form data
// else, if any of the fields is not filled out, a warning msg
if (!empty($name) && !empty($email) && !empty($student) && !empty($dob) && !empty($comments)) {
    // print out a thank you msg + display
    echo "Thank you $name for filling out the form";
    echo "<p><strong>Name:</strong> $name</p>";
    echo "<p><strong>Email:</strong> $email</p>";
    echo "<p><strong>Student Status:</strong> $student</p>";
    echo "<p><strong>Date of Birth:</strong> $dob</p>";
    echo "<p><strong>Interests:</strong> $interests</p>";
    echo "<p><strong>Comments:</strong> $comments</p>";
} else {
    // print out a warning msg
    echo "<h2>You didn't fill out the form properly.</h2>";
    foreach ($errors as $error) {
        echo "<p>$error</p>";
    }
    echo "<a href=\"index.php\">Click here to go back</a>";
}


include('footer.php');
?>